<?php

session_start();

//1----

//variable que guarda el nombre del archivo PDF
$archivo= $_SESSION['Numero']." Rem.pdf";

$Contador = $_SESSION['Contador'];


//Llamada al script fpdf
require('facturas/fpdf.php');


$archivo_de_salida=$archivo;

$pdf=new FPDF();  //crea el objeto
$pdf->AddPage();  //añadimos una página. Origen coordenadas, esquina superior izquierda, posición por defeto a 1 cm de los bordes.


//logo de la tienda
//$pdf->Image('imagenes/logo.jpg' , 10 ,10, 60 , 35,'JPG', '');
//$pdf->Ln(1);
// Encabezado de la factura
$pdf->SetFont('Arial','B',11);

$pdf->Cell(200, 5, "DISTRIBUCIONES MC NIT: 71621894-0. REGIMEN COMUN", 0, 2, "C");
$pdf->Cell(200, 5, "Cll 20 Politecnico #15-19. Cisneros. TEL: 311 397 10 23", 0, 2, "C");
$pdf->SetFont('Arial','B',10);
$pdf->Ln(7);
$pdf->Cell(200, 4, "REMISION No: ".$_SESSION['Numero'] , 0, 2, "L");
$pdf->SetXY(150, 28);
$pdf->Cell(100, 4, "FECHA: ".$_SESSION['Fecha'] , 0, 2, "L");
$pdf->Ln(1);

$pdf->SetXY(10, 37);
$pdf->Cell(50, 4, "CLIENTE: ".$_SESSION['NombreCliente'] , 0, 2, "L");
$pdf->SetXY(100, 37);
$pdf->Cell(50, 4, "ID: ".$_SESSION['Cedula'], 0, 2, "L");
$pdf->SetXY(10, 41);
$pdf->Cell(50, 4, "DIRECCION: ".$_SESSION['Direccion'].' '.$_SESSION['Ciudad'], 0, 2, "L");
$pdf->SetXY(100, 41);
$pdf->Cell(60, 4, "ESTABLECIMIENTO: ".$_SESSION['ApellidoCliente'], 0, 2, "L");
$pdf->SetXY(10, 45);
$pdf->Cell(50, 4, "EQUIPO: ".number_format($_SESSION['Congelador']), 0, 2, "L");
$pdf->SetXY(10, 48);
$pdf->SetFont('Arial','B',11);
//$pdf->Cell(9, 8, 'COD', 0, 'L');
$pdf->Cell(100, 8, 'PRODUCTO', 0, 'L');
$pdf->Cell(30, 8, 'CANTIDAD', 0, 'L');
$pdf->Cell(40, 8, 'VALOR UNIT', 0, 'L');
$pdf->Cell(40, 8, 'TOTAL', 0, 'L');
$pdf->Line(10, 56, 210, 56);
$pdf->SetXY(10, 58);
$pdf->SetFont('Arial','',11);
$Cambio = true;
for($Contador = $Contador; $Contador >=1; $Contador--){
if($Cambio == true){
    //$pdf->Cell(6, 8, $_SESSION['Linea'][$Contador]['codigo'], 0, 'C');
    $pdf->Cell(100, 8, $_SESSION['Linea'][$Contador]['producto'], 0, 'L');
    $pdf->Cell(30, 8, $_SESSION['Linea'][$Contador]['cantidad'], 0, 'C');
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['Linea'][$Contador]['valor']), 0, 'C');
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['Linea'][$Contador]['subtotal']), 0, 'C');
    $pdf->Ln(5);
    $Cambio = false;
}else{

    $pdf->SetXY(10, (58+($Contador*4)));
    //$pdf->Cell(6, 8, $_SESSION['Linea'][$Contador]['codigo'], 0, 'C');
    $pdf->Cell(100, 8, $_SESSION['Linea'][$Contador]['producto'], 0, 'L');
    $pdf->Cell(30, 8, $_SESSION['Linea'][$Contador]['cantidad'], 0, 'C');
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['Linea'][$Contador]['valor']), 0, 'C');
    $pdf->Cell(40, 8, "$ ".number_format($_SESSION['Linea'][$Contador]['subtotal']), 0, 'C');
//    $pdf->Ln(5);
}
    
}
$pdf->SetXY(10, 108);
$pdf->SetFont('Arial','B',11);
$pdf->Cell(60, 5, "Subtotal: ".number_format($_SESSION['Subtotal']), 0, "C");

$pdf->Cell(60, 5, "Descuento ".$_SESSION['Descuento']."% : $".number_format($_SESSION['DescuentoAplicado']), 0, "C");
$pdf->SetXY(10, 113);
$pdf->Cell(60, 5, "IVA: ".number_format($_SESSION['IVA']), 0, "C");
$pdf->Cell(60, 5, "Total : ".number_format($_SESSION['Total']), 0, "C");
$pdf->SetFont('Arial','',9);
$pdf->Ln(2);
$pdf->SetXY(125, 108);
$pdf->Cell(60, 4, "Muchas gracias por preferirnos ", 0, 2, "L");
//$pdf->Cell(60, 4, "Tipo 02 computaddor 10001 al 100000.", 0, 2, "L");

//Salto de línea
$pdf->Ln(2);




//2--


require_once('AttachMailer.php'); 





$pdf->Output( $archivo_de_salida);


//cierra el objeto pdf

//Creacion de las cabeceras que generarán el archivo pdf
header ("Content-Type: application/pdf");
header ("Content-Disposition: attachment; filename=$archivo");
header("Content-Length: " . filesize("$archivo"));
$fp = fopen($archivo, "r");
fpassthru($fp);
//fclose($fp);

$mailer = new AttachMailer("ventas@distribuidoramc.net", "alejopo27@gmail.com", "Nueva remision de venta ".$archivo , "Hola, se ha realizado una nueva venta al cliente ".$_SESSION['NombreCliente'].' '.$_SESSION['ApellidoCliente']);
$mailer->attachFile($archivo_de_salida);
$mailer->send() ? "Enviado": "Problema al enviar";

//$mailer = new AttachMailer("ventas@distribuidoramc.net", "mauricio.corream19@gmail.com", "Nueva remision de venta ".$archivo , "Hola, se ha realizado una nueva venta al cliente ".$_SESSION['NombreCliente'].' '.$_SESSION['ApellidoCliente']);
//$mailer->attachFile($archivo_de_salida);
//$mailer->send() ? "Enviado": "Problema al enviar";

//Eliminación del archivo en el servidor
unlink($archivo);
$_SESSION['Impresa'] = true;







?>



